AUPARSE_NEXT_EVENT(3)

NAME
auparse_next_event - get the next event

SYNOPSIS
#include <auparse.h>

int auparse_next_event(auparse_state_t *au);

DESCRIPTION
auparse_next_event will position the cursors at the first field of the first record of the next event in a file or buffer. It does not skip events or honor any search criteria that may be stored.

RETURN VALUE
Returns -1 if an error occurs, 0 if there's no data, 1 for success.

SEE ALSO
auparse_next_record(3).

AUTHOR
Steve Grubb